### Method

# FwupdPlugin UdevDevice get_subsystem_depth

since: 2.0.0

#### Declaration [src]

    guint
    fu_udev_device_get_subsystem_depth (
      FuUdevDevice* self,
      const gchar* subsystem
    )

#### Description [src]

Determine how far up a chain a given device is.

Available since: 2.0.0

#### Parameters

`subsystem`

  Type: `const gchar*`

  A subsystem.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

Unsigned integer.